#!/bin/sh
set -e

cp -r tests "$AUTOPKGTEST_TMP"
cat > "$AUTOPKGTEST_TMP"/CMakeLists.txt << EOF
cmake_minimum_required(VERSION 3.15...3.27)
project(nanobind_autopkgtest LANGUAGES CXX)

find_package(Python COMPONENTS Interpreter Development REQUIRED)
find_package(nanobind REQUIRED)

add_subdirectory(tests)
EOF

cd "$AUTOPKGTEST_TMP"
mkdir _build
cd _build
cmake .. -DCMAKE_BUILD_TYPE=Release
VERBOSE=ON cmake --build .
python3 -m pytest -v -k "not test01_check_stub_refs"

